/* Ensure consistent spacing for grid */
.featured-services-container {
    margin-top: 20px;
    margin-bottom: 20px;
}

/* If only 3 items, make them spread across full width */
.featured-services-container.three-items .service-box {
    flex: 1 1 33%;
    max-width: 33%;
}

/* Ensure consistent styling for service boxes */
.featured-services-container .service-box .card {
    border: none;
    overflow: hidden;
    transition: transform 0.3s ease-in-out;
}


.featured-services-container .service-box img {
    width: 100%;
    height: auto!important;
    object-fit: cover;
	
}

.featured-services-container .service-box .card-title {
    font-size: 1.5rem;
    font-weight: 700 !important;
    margin: 0px;
    background: var(--color1);
    padding: 10px;
	margin-top: 0 !important;
	border-radius: 0 !important;
	transition: all 0.2s ease-in-out;
}

.featured-services-container .service-box .card-title:hover {
    font-size: 1.5rem;
    margin: 0;
    background: var(--color2);
    padding: 10px;
	color: #fff;
	border-radius: 0 !important;
}

.featured-services-container .card {
    margin-bottom: 30px;
    position: relative;
    border-radius: 0!important;
}

.featured-services-container .card-body.text-center {
    padding: 0;
}

.featured-services-container .service-box .card-title a {
    color: var(--color1);
    text-decoration: none;
	font-weight: 700;
	font-size: 20px;
}

.featured-services-container .service-box .card-title a:hover {
    text-decoration: none;
	font-style: normal;
	color: var(--color7) !important;
}

/* Responsive Adjustments */
@media screen and (max-width: 1024px) {
    .featured-services-container .service-box {
        max-width: 50%;
        flex: 1 1 50%;
    }
}

@media screen and (max-width: 768px) {
    .featured-services-container .service-box {
        max-width: 100%;
        flex: 1 1 100%;
    }
}

.featured-services-container .card-img-top {
	height:100%!important;
}